kr.co.hanwha.hifive.network.hanwha

## Interface HanwhaNetworkCallback<T>

-     public interface HanwhaNetworkCallback<T>

  Created by sanghoonkwon on 2018. 1. 11..

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFailure(HanwhaNetworkError error)`
    `void` | `onPostExecute()`
    `void` | `onPreExecute()`
    `void` | `onSuccess(T response)`

- - ### Method Detail

    - #### onSuccess

          void onSuccess(T response)

    - #### onFailure

          void onFailure(HanwhaNetworkError error)

    - #### onPreExecute

          void onPreExecute()

    - #### onPostExecute

          void onPostExecute()